%define upstream_name    Search-Query
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The default query dialect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Transformer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Rose::ObjectX::CAF) >= 0.30.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This class provides documentation and class methods.

Search::Query started as a fork of the excellent Search::QueryParser module
and was then rewritten to provide support for alternate query dialects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sqd
/usr/share/man/man1/sqd.1.xz

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 533440
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 473058
- update to 0.23

* Fri Jun 07 2013 jquelin <jquelin> 0.220.0-1.mga4
+ Revision: 439861
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 372556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 262759
- update to 0.21

* Mon Jun 04 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 254031
- update to 0.20

* Sat Dec 03 2011 kharec <kharec> 0.190.0-1.mga2
+ Revision: 175493
- imported package perl-Search-Query


* Sat Dec 03 2011 cpan2dist 0.19-1mga
- initial mageia release, generated with cpan2dist
